package com.samelement.iot_notification.resource;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class ResourceOptions {
    @SerializedName("rule")
    @Expose
    private String rule;
    @SerializedName("threshold")
    @Expose
    private String threshold;
    @SerializedName("notify")
    @Expose
    private boolean notify;
    @SerializedName("alert")
    @Expose
    private boolean alert;
    @SerializedName("text")
    @Expose
    private String text;
    @SerializedName("map_settings")
    @Expose
    private MapSettings mapSettings;

    @SerializedName("run")
    @Expose
    private ResourceOptionsRun run;

    public String getRule() {
        return rule;
    }

    public void setRule(String rule) {
        this.rule = rule;
    }

    public String getThreshold() {
        return threshold;
    }

    public void setThreshold(String threshold) {
        this.threshold = threshold;
    }

    public boolean isNotify() {
        return notify;
    }

    public void setNotify(boolean notify) {
        this.notify = notify;
    }

    public boolean isAlert() {
        return alert;
    }

    public void setAlert(boolean alert) {
        this.alert = alert;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public MapSettings getMapSettings() {
        return mapSettings;
    }

    public void setMapSettings(MapSettings mapSettings) {
        this.mapSettings = mapSettings;
    }

    public ResourceOptionsRun getRun() {
        return run;
    }

    public void setRun(ResourceOptionsRun run) {
        this.run = run;
    }
}